function [h1 h2 h3 oldformat A f1]=read_swr(filename)
% To read the SWR files produced by swrtest.elan,
% for a particular Heating transmitter and array
%  20100607   MTR
%

if nargin<1 
[filename, pathname, filterindex] = uigetfile('/data/swrlogs/*.txt', 'Pick an ascii data file', 'A');
filename=fullfile(pathname,filename);
end
fid1 = fopen(filename);

%header1=textscan(fid1,'%s%d%s%s%s%s%s',1);
header1=textscan(fid1,'%s%s%s%s%s%s%s',1);
h1=char([header1{:}]);
oldformat=0;

if h1(1,1:6) == 'Array:'
   oldformat=1;
end

header2=textscan(fid1,'%s%s%s%s%s%s%s%s%s%s%s',1);
h2=[header2{1:11}];

header3=textscan(fid1,'%s%s%s%s%s%s%s',1);
h3=[header3{1:7}];

if oldformat == 1
  header4=textscan(fid1,'%s%s%s%s%s%s%s%s%s%s',1);
  h4=[header4{1:10}];
  header5=textscan(fid1,'%s%s%s%s%s',1);
  h5=[header5{1:5}];
  header6=textscan(fid1,'%s%s%s%s%s',1);
  h6=[header6{1:5}];
  Ac=textscan(fid1,'%f32%f32%f32%f32%f32%f32%f32%f32%f32');
  footer1={0 0 0 0 0 0 0 0 0 0 0 };
  f1=footer1(1:11);
else
  Ac=textscan(fid1,'%f32%f32%f32%f32%f32%f32%f32%f32%f32%f32%f32');
  footer1=textscan(fid1,'%s',11);
  f1=footer1{:}(1:11);
end
A=[Ac{:}];               % Converts from cell array to ordinary array
st = fclose(fid1);
end
