function [h1 h2 h3 A]=read_swr(filename)
% To read the SWR files produced by swrtest.elan,
% for a particular Heating transmitter and array
%  20100607   MTR
%

if nargin<1 
[filename, pathname, filterindex] = uigetfile('\data1\swrlogs\*.txt', 'Pick an ascii data file', 'A');
filename=fullfile(pathname,filename);
end
fid1 = fopen(filename);

%header1=textscan(fid1,'%s%d%s%s%s%s%s',1);
header1=textscan(fid1,'%s%s%s%s%s%s%s',1);
h1=char([header1{:}]);

header2=textscan(fid1,'%s%s%s%s%s%s%s%s%s%s%s',1);
h2=[header2{1:11}];

header3=textscan(fid1,'%s%s%s%s%s%s%s',1);
h3=[header3{1:7}];

Ac=textscan(fid1,'%f32%f32%f32%f32%f32%f32%f32%f32%f32%f32%f32');
A=[Ac{:}];               % Converts from cell array to ordinary array
st = fclose(fid1);
end
